import { TimeAxisBase } from "./TimeAxisBase";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisBreakCollection } from "./TimeAxisBreakCollection";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { TimeAxisIntervalCollection } from "./TimeAxisIntervalCollection";
import { Type, IList$1, EventArgs } from "igniteui-react-core/ES5/type";
import { TimeAxisLabelFormat } from "./TimeAxisLabelFormat";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { CultureInfo } from "igniteui-react-core/ES5/culture";
/**
 * @hidden
 */
export declare class TimeXAxis extends TimeAxisBase implements ITimeRangeSelectorAxis {
    static $t: Type;
    constructor();
    dt(a: number, b: ScalerParams): number;
    gh(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    protected startCursor(): void;
    protected resetCursor(): void;
    private mf;
    dw(a: number, b: ScalerParams): number;
    private lz;
    readonly breaks: TimeAxisBreakCollection;
    private l5;
    readonly labelFormats: TimeAxisLabelFormatCollection;
    protected go(a: any, b: string, c: any, d: any): void;
    protected hc(a: Rect, b: Rect): void;
    protected hb(a: Rect, b: Rect): void;
    cm(): boolean;
    private _omission;
    private omission;
    private mt;
    private lx;
    private l8;
    private mc;
    private ms;
    fe(a: number): string;
    e1(a: any): any;
    static mg(a: Date, b: number, c: IList$1<TimeAxisLabelFormat>, d: CultureInfo): any;
    protected get_ku(): boolean;
    protected set_ku(a: boolean): void;
    private l3;
    readonly intervals: TimeAxisIntervalCollection;
    private mi;
    static mj(a: number): string;
    private static lw;
    private static ly;
    private l1;
    private l2;
    protected g1(a: boolean): void;
    private l7;
    private l9;
    private mr;
    private mb;
    visibleMinimum: Date;
    private ma;
    visibleMaximum: Date;
    protected lr(): void;
    jm(a: Rect, b: Rect, c: Rect, d: number, e: number): number;
    i$f(a: number): number;
    private mu;
    private mw;
    private mv;
    protected get_b3(): boolean;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    private mp;
    static mo(a: (arg1: number) => Date, b: number): number;
    private mn;
    protected ln(): void;
    static ml(a: number): string;
    itemLabelFormat(): string;
    visibleRangeChanged: (sender: any, e: EventArgs) => void;
    protected k9(a: Rect, b: Rect, c: Rect, d: Rect): number;
    protected lc(a: Rect, b: Rect, c: Rect, d: Rect): number;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    readonly i$a: boolean;
}
